Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "089e92eb-bf13-4e03-8ea9-da04ca984d05",
"user_id": "1a6ead51-963d-4970-9356-95f5821c541b",
"user_planning_slot_type_id": "7b227241-be7f-40cc-958c-4f214741f9e1",
"date_from": "2026-10-22T13:43:59.7772065+00:00",
"date_to": "2026-10-22T13:43:59.7772065+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-22T13:43:59.7772065+00:00"
}